summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAaron Walker <ka0ttic@gentoo.org>2005-02-14 11:39:01 +0000
committerAaron Walker <ka0ttic@gentoo.org>2005-02-14 11:39:01 +0000
commit7a639f852cff8ae277f20614d3a1b8677e179ea2 (patch)
tree641bac0f6d99214b17db8c2d3fd69967b7f6d4e9 /www-servers/lighttpd/files
parentAllow !<symbol> for CDEFINE in create_ml_includes. (diff)
downloadgentoo-2-7a639f852cff8ae277f20614d3a1b8677e179ea2.tar.gz
gentoo-2-7a639f852cff8ae277f20614d3a1b8677e179ea2.tar.bz2
gentoo-2-7a639f852cff8ae277f20614d3a1b8677e179ea2.zip
Version bump for bugs 76575 and 81776.
(Portage version: 2.0.51.16)
Diffstat (limited to 'www-servers/lighttpd/files')
-rw-r--r--www-servers/lighttpd/files/digest-lighttpd-1.3.101
-rw-r--r--www-servers/lighttpd/files/lighttpd-1.3.10-php.diff47
-rw-r--r--www-servers/lighttpd/files/lighttpd-1.3.10.initd27
-rw-r--r--www-servers/lighttpd/files/spawn-fcgi.confd35
-rw-r--r--www-servers/lighttpd/files/spawn-fcgi.initd49
5 files changed, 159 insertions, 0 deletions
diff --git a/www-servers/lighttpd/files/digest-lighttpd-1.3.10 b/www-servers/lighttpd/files/digest-lighttpd-1.3.10
new file mode 100644
index 000000000000..2084989a4e2c
--- /dev/null
+++ b/www-servers/lighttpd/files/digest-lighttpd-1.3.10
@@ -0,0 +1 @@
+MD5 28623eff50653a9b104ddb20fe65aaf1 lighttpd-1.3.10.tar.gz 667324
diff --git a/www-servers/lighttpd/files/lighttpd-1.3.10-php.diff b/www-servers/lighttpd/files/lighttpd-1.3.10-php.diff
new file mode 100644
index 000000000000..f2ec6c0ecefc
--- /dev/null
+++ b/www-servers/lighttpd/files/lighttpd-1.3.10-php.diff
@@ -0,0 +1,47 @@
+diff -urN lighttpd-1.3.10.orig/doc/lighttpd.1 lighttpd-1.3.10/doc/lighttpd.1
+--- lighttpd-1.3.10.orig/doc/lighttpd.1 2005-02-06 23:58:57.661234800 -0500
++++ lighttpd-1.3.10/doc/lighttpd.1 2005-02-06 23:59:30.758203296 -0500
+@@ -5,7 +5,7 @@
+ lighttpd -D -f <configfile>
+ .SH DESCRIPTION
+ .SH FILES
+-/etc/lighttpd/lighttpd.conf
++/etc/lighttpd.conf
+ .SH CONFORMING TO
+ HTTP/1.0
+ HTTP/1.0
+diff -urN lighttpd-1.3.10.orig/doc/lighttpd.conf lighttpd-1.3.10/doc/lighttpd.conf
+--- lighttpd-1.3.10.orig/doc/lighttpd.conf 2005-02-06 23:58:57.661234800 -0500
++++ lighttpd-1.3.10/doc/lighttpd.conf 2005-02-07 00:00:50.500080688 -0500
+@@ -19,7 +19,7 @@
+ # "mod_auth",
+ # "mod_status",
+ # "mod_setenv",
+-# "mod_fastcgi",
++ "mod_fastcgi",
+ # "mod_proxy",
+ # "mod_simple_vhost",
+ # "mod_evhost",
+@@ -186,14 +186,14 @@
+
+ #### fastcgi module
+ ## read fastcgi.txt for more info
+-#fastcgi.server = ( ".php" =>
+-# ( "localhost" =>
+-# (
+-# "socket" => "/tmp/php-fastcgi.socket",
+-# "bin-path" => "/usr/local/bin/php"
+-# )
+-# )
+-# )
++fastcgi.server = ( ".php" =>
++ ( "localhost" =>
++ (
++ "host" => "127.0.0.1",
++ "port" => 1026
++ )
++ )
++ )
+
+ #### CGI module
+ #cgi.assign = ( ".pl" => "/usr/bin/perl",
diff --git a/www-servers/lighttpd/files/lighttpd-1.3.10.initd b/www-servers/lighttpd/files/lighttpd-1.3.10.initd
new file mode 100644
index 000000000000..1f946fca2cde
--- /dev/null
+++ b/www-servers/lighttpd/files/lighttpd-1.3.10.initd
@@ -0,0 +1,27 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/www-servers/lighttpd/files/lighttpd-1.3.10.initd,v 1.1 2005/02/14 11:39:01 ka0ttic Exp $
+
+PID_FILE="/var/run/lighttpd.pid"
+LIGHTTPD_BIN="/usr/sbin/lighttpd"
+LIGHTTPD_CONF="/etc/lighttpd.conf"
+
+depend() {
+ need net
+ use mysql logger spawn-fcgi
+ after sshd
+}
+
+start() {
+ ebegin "Starting lighttpd"
+ start-stop-daemon --start --quiet --exec ${LIGHTTPD_BIN} -- \
+ -f ${LIGHTTPD_CONF}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping lighttpd"
+ start-stop-daemon --stop --quiet --exec ${LIGHTTPD_BIN}
+ eend $?
+}
diff --git a/www-servers/lighttpd/files/spawn-fcgi.confd b/www-servers/lighttpd/files/spawn-fcgi.confd
new file mode 100644
index 000000000000..2a88806ae0d4
--- /dev/null
+++ b/www-servers/lighttpd/files/spawn-fcgi.confd
@@ -0,0 +1,35 @@
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/www-servers/lighttpd/files/spawn-fcgi.confd,v 1.1 2005/02/14 11:39:01 ka0ttic Exp $
+
+# Configuration file for the FCGI-Part of /etc/init.d/lighttpd
+
+## Set this to "yes" to enable SPAWNFCGI
+ENABLE_SPAWNFCGI="yes"
+
+## ABSOLUTE path to the spawn-fcgi binary
+SPAWNFCGI="/usr/bin/spawn-fcgi"
+
+## ABSOLUTE path to the PHP binary
+FCGIPROGRAM="/usr/bin/php-cgi"
+
+## bind to tcp-port on localhost
+FCGIPORT="1026"
+
+## number of PHP childs to spawn
+PHP_FCGI_CHILDREN=5
+
+## number of request server by a single php-process until is will be restarted
+PHP_FCGI_MAX_REQUESTS=1000
+
+## IP adresses where PHP should access server connections from
+FCGI_WEB_SERVER_ADDRS="127.0.0.1"
+
+# allowed environment variables sperated by spaces
+ALLOWED_ENV="PATH USER"
+# do NOT change line below
+ALLOWED_ENV="$ALLOWED_ENV PHP_FCGI_MAX_REQUESTS FCGI_WEB_SERVER_ADDRS"
+
+## if this script is run as root switch to the following user
+USERID=lighttpd
+GROUPID=lighttpd
diff --git a/www-servers/lighttpd/files/spawn-fcgi.initd b/www-servers/lighttpd/files/spawn-fcgi.initd
new file mode 100644
index 000000000000..2f93285ddb6b
--- /dev/null
+++ b/www-servers/lighttpd/files/spawn-fcgi.initd
@@ -0,0 +1,49 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/www-servers/lighttpd/files/spawn-fcgi.initd,v 1.1 2005/02/14 11:39:01 ka0ttic Exp $
+
+SPAWNFCGI_PID="/var/run/spawn-fcgi.pid"
+
+depend() {
+ need net
+}
+
+start() {
+ local my_end
+
+ ebegin "Starting spawn-fcgi"
+ export PHP_FCGI_MAX_REQUESTS FCGI_WEB_SERVER_ADDRS
+
+ EX="${SPAWNFCGI} -p ${FCGIPORT} -f ${FCGIPROGRAM} -u ${USERID} \
+ -g ${GROUPID} -C ${PHP_FCGI_CHILDREN}"
+
+ # copy the allowed environment variables
+ unset E
+ for i in ${ALLOWED_ENV}; do
+ E="${E} ${i}=${!i}"
+ done
+
+ # clean environment and set up a new one
+ env - ${E} ${EX} 2>${SPAWNFCGI_PID}
+ my_end=$?
+ if [ "$my_end" != "0" ]; then
+ [ -f ${SPAWNFCGI_PID} ] && rm -f ${SPAWNFCGI_PID}
+ eend $my_end
+ fi
+
+ #extract parent-process-id and write it back to the file
+ FCGI_PPID=`cat ${SPAWNFCGI_PID} | cut -d':' -f4`
+ echo ${FCGI_PPID} > ${SPAWNFCGI_PID}
+ eend 0
+}
+
+stop() {
+ ebegin "Stopping spawn-fcgi"
+ kill `cat ${SPAWNFCGI_PID}`
+ [[ $? -ne 0 ]] && eend $?
+ if [ -w ${SPAWNFCGI_PID} ]; then
+ rm ${SPAWNFCGI_PID};
+ fi
+ eend 0
+}